
QGIS Application - Bug report #17028

QGIS 2.99.0-149 crashes when confirming algorithm configuration with 'ok' in modeler

2017-08-17 12:42 PM - Jochen Schwarze

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24927

Description

QGIS 2.99.0-149

 - add algorithm (tested various, e.g. 'extract by attribute', 'count points in polygon', ...) in modeler

 - configure it

 - confirme with 'ok'

 - > QGIS crashes reproducable with an 'Oh Uh!':

Report Details

Crash ID: e1d9eeae7b0c023b81eae58fc23919daa4b20cb9

Stack Trace

(_core) OGREnvelope3D::OGREnvelope3D (unknown file):(unknown line)

(_core) OGREnvelope3D::OGREnvelope3D (unknown file):(unknown line)

(python36) PyCFunction_FastCallDict (unknown file):(unknown line)

(python36) PyObject_GenericGetAttr (unknown file):(unknown line)

(python36) PyEval_EvalFrameDefault (unknown file):(unknown line)

(python36) PyErr_Occurred (unknown file):(unknown line)

(python36) PyObject_GenericGetAttr (unknown file):(unknown line)

(python36) PyEval_EvalFrameDefault (unknown file):(unknown line)

(python36) PyErr_Occurred (unknown file):(unknown line)

(python36) PyObject_GenericGetAttr (unknown file):(unknown line)

(python36) PyEval_EvalFrameDefault (unknown file):(unknown line)

(python36) PyErr_Occurred (unknown file):(unknown line)

(python36) PyObject_GenericGetAttr (unknown file):(unknown line)

(python36) PyEval_EvalFrameDefault (unknown file):(unknown line)

(python36) PyErr_Occurred (unknown file):(unknown line)

(python36) PyBytes_Resize (unknown file):(unknown line)

(python36) PyObject_Call (unknown file):(unknown line)

(sip) PyInit_sip (unknown file):(unknown line)

(QtWidgets) PyInit_QtWidgets (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QFrame::event (unknown file):(unknown line)

(Qt5Widgets) QGraphicsView::viewportEvent (unknown file):(unknown line)

(QtWidgets) PyInit_QtWidgets (unknown file):(unknown line)

(Qt5Core) QCoreApplicationPrivate::sendThroughObjectEventFilters (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsLayerTreeModel::rootGroup (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsLayerTreeModel::rootGroup (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Gui) QGuiApplicationPrivate::processDrop (unknown file):(unknown line)
(Qt5Gui) QWindowSystemInterface::handleDrop (unknown file):(unknown line)

(ole32) RevokeActiveObjectExt (unknown file):(unknown line)

(ole32) RevokeActiveObjectExt (unknown file):(unknown line)

(ole32) OleGetPackageClipboardOwner (unknown file):(unknown line)

(ole32) OleGetPackageClipboardOwner (unknown file):(unknown line)

(ole32) DoDragDrop (unknown file):(unknown line)

(Qt5Gui) QDragManager::drag (unknown file):(unknown line)

(Qt5Gui) QDrag::exec (unknown file):(unknown line)

(Qt5Widgets) QAbstractItemView::startDrag (unknown file):(unknown line)

(QtWidgets) PyInit_QtWidgets (unknown file):(unknown line)

(Qt5Widgets) QAbstractItemView::mouseMoveEvent (unknown file):(unknown line)

(Qt5Widgets) QTreeView::mouseMoveEvent (unknown file):(unknown line)

(QtWidgets) PyInit_QtWidgets (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QFrame::event (unknown file):(unknown line)

(Qt5Widgets) QAbstractItemView::viewportEvent (unknown file):(unknown line)

(QtWidgets) PyInit_QtWidgets (unknown file):(unknown line)

(Qt5Core) QCoreApplicationPrivate::sendThroughObjectEventFilters (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsLayerTreeModel::rootGroup (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsLayerTreeModel::rootGroup (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Gui) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

(Qt5Gui) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(USER32) CallWindowProcW (unknown file):(unknown line)

(USER32) DispatchMessageW (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(qwindows) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

(qgis_app) QgsAbout::setLicence (unknown file):(unknown line)

(KERNEL32) BaseThreadInitThunk (unknown file):(unknown line)

(ntdll) RtlUserThreadStart (unknown file):(unknown line)

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:fdee6ea

Compiled against Qt: 5.7.1

Running against Qt: 5.7.1

Compiled against GDAL: 2.2.1

Running against GDAL: 2.2.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

Associated revisions

Revision cdbb57d6 - 2017-08-22 06:14 PM - Nyall Dawson

Don't throw python exception when modeler algorithm is missing inputs

Instead use nicer messagebar for feedback. Also fix untranslatable

strings.
Refs #17028

Revision 6bd37cc5 - 2017-09-12 09:12 AM - Nyall Dawson

[processing] Fix crash when editing models on Windows (fix #17028)

History

#1 - 2017-08-18 02:27 PM - Etienne Trimaille

Does it happen if you don't first add some required input parameters?

I get a python traceback if for instance I'm adding a algorithm without adding first some inputs. (because obviously, the algorithms needs some inputs to

work correctly)

#2 - 2017-08-18 02:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2017-08-18 05:05 PM - Nyall Dawson

I can't reproduce either. I get the "invalid parameter value" traceback (which admittedly is not a nice way of showing this error - but it's been like this for as

long as processing has been around) if a parameter value is missing or invalid, but not crash.

#4 - 2017-08-21 10:25 AM - Jochen Schwarze

I get this python traceback too, when I add the algorithm first without having added my feature sources. I can reproduce the crash, when first adding the

required input feature sources and then the algorithm, cp. [[https://youtu.be/bqO1s_9X4W4]]

QGIS 2.99.00-151 installed from OSGeo4W 64bit Installer.

#5 - 2017-08-21 04:58 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2017-09-12 12:12 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|6bd37cc50683e4a8c2f8ec0f4c27d51cc965c621.
